 eScheduler Overview
eScheduler
eScheduler Overview

Welcome to eScheduler Application

eScheduler is a web-based multiuser application that is used by supervisors/foreman to assign task to the Technicians. It provides a quick and easy UI for Work Order Allocation.

Last Updated: 07/11/2008 | © e-Emphasys, 2008

This page was generated by an unregistered version of West Wind HTML Help Builder.


 About eScheduler
About eScheduler

-Schedule Work Order Segments


 eScheduler User Guide - Scheduler
eScheduler User Guide - Scheduler

eScheduler (the "Application") primarily deals with scheduling of Service Order Segments ("Segments") that are entered into eXtend™ (the "Backend ERP"). The scheduling deals with allocation and de-allocation of Segments to human resources ("Technicians"), both available from the Backend ERP, using a user friendly graphical Click-n-Drop functionality.

Furthermore, the Application is equipped with appropriate validations in relation to allocations / de-allocations, and supporting functionality that permits the user to switch between companies and service centers, all integrated with the Backend ERP.

Last, but not the least, the Application executes in an infrastructure that provides supporting functionality such as, user and roles management, authentication and authorization, error handling. UsersIDs created in the Application are mapped to the Backend ERP.

1.4 APPLICATION ACCESS LINK
Authorized users can enter the Application by accessing the following link (Login Page) from a Web browser (preferably Mozilla):
http://server/eScheduler/User/LoginForm.aspx
wherein, the "server" refers to the name of the machine on which the Application has been installed.

The Application user shall provide his login ID and password for entry to the Application. The Login Page provides an additional facility wherein the user accessing the Application can mention the page / module that be accessed on successful logon. This is mentioned by selecting the appropriate option from the "Start In:" menu on the Login screen

Scheduler Screenshot


 Allocation Views
Allocation Views

Allocation Views:
The eScheduler application provides different work allocation view to user.
Following are the details of each view:

1. Weekly Allocation View :
This is the main view of the application as Work Order Allocation is done using this view.
The view display the allocation details for selected week for all the employees in the selected Service center.
Each day is further divided into 24 blocks representing each hour of the day.
As per the work allocation time the corresponding blocks are displayed in different color.

Following figure displays the weekly allocation view

2. Daily Allocation View :
In case if the user wish to view the work allocation for a single day this option helps him to achieve his goal. The Daily Allocation view displays the allocation view for selected day for all the technicians. User can navigate to this page by clicking the day in the header of Weekly Allocation View.

Following figure displays the daily allocation view

3. Monthly Allocation View :
The Monthly Allocation View displays the allocation of work order for particular month for selected Technician. User may view the Work Order details by clicking the work order.

Following figure displays the monthly allocation view


 Assigned Work Order Details
Related Topics
See also
Work Order Details
eScheduler
Assigned Work Order Details

When a work order gets assigned to mechanic(s) it is displayed in the allocation matrix on the right side of the screen.
Clicking the Order Displays a menu with following options
1. Deallocation : This option un-assigns the allocated work order from particular Mechanic.

2. Reallocation : This option allow user to de-allocate and reassign the same work order to another mechanic or for some other day for same mechanic.

3. Order Details : This option allow user to view the order details.

4. Customer Details : This option allow user to view the customer details for selected work order.

5. Assignments : This option displays a list of technicians who have worked / working on the work order.

See also

Work Order Details


 Mechanic Details
Related Topics
See also
Allocation Views
eScheduler
Mechanic Details

Mechanic is the Employee in the Organization to whom work order is assigned.
The mechanic has an important role in the overall Application.
eScheduler provides a Mechanic Related details by providing a menu that appears on clicking the mechanic name.
User can view following options :
1. Details : This option displays the details of selected mechanic.
Following screen displays the screen of the same

2. Skills: This options displays the list of skills of selected Mechanic.
Following screen displays the screen of the same

3. Assignments: This option displays the list of all the work assignments the mechnic have worked on / working currently.
Following screen displays the screen of the same

4. Monthly Assignments: A monthly allocation view of selected mechanic can viewed using this option. For details on Monthly Assignments please see Allocation Views

See also

Allocation Views


 Work Order Allocation
Work Order Allocation

The main purpose of the Scheduler is to allow a supervisor to assign work to Technician.
Scheduler makes the supervisor's task easy by providing a simple user-friendly UI.

A user can view the Work Order list on the left side of the page. The list appears in a grid along with few details like Customer name, model number, priority, promise date, Components, Job code, Start Date, end Date etc.

Following screen display the work order list

Work order with Details in first tab

Work order with Details in second tab

Work Order Selection

In order to assign work to a technician user must select work order from the list appearing on the left side of the screen.
If the work order doesn't appear in the list user can quickly search using the quick search option above the grid.
Please refer following figure

Also user may use the 'Advance Search' option if he needs more precise data.
Please refer following figure

Once the work order appears in the list user can select the work order by clicking the work order name.
User can selected more than one work order at a time.
After selecting work order(s) a list of selected work order gets attached to the mouse pointer.

Following figure shows the selection of work order

Once the work order selection is final, user can click the cell for a particular date in the allocation matrix for desired technician.
This opens another allocation screen where user needs to input the time for the each of the selected work order.

On entering the start time and end time for each order the allocation gets completed and the Weekly view gets updated.


 Work Order Details
Work Order Details

If a user wish to view the Details of the Work order he can view it by clicking the '>' in front of each work order name in the left pane grid.
A menu come with following options,
1. Details - this displays the details of the work order.

Work Order details snapshot

2. Parts - Here a list of parts associated with the work order are displayed.

Work Order Parts snapshot

3. Assignments - This list displays the list of technician worked on it with start and end time.
Work Order Assignment snapshot

4. Skills - This option displays the Skills that are defined in the work order along with the skills that come under the job code.
Work Order Skill snapshot

5. Suitable Mechanic(s) -This feature helps the user to highlight most suitable technician for selected work order depending on the skills defined in work order segment against that of mechanic.
Suitable Mechanic snapshot


 eScheduler User Guide - Admin Section
eScheduler User Guide - Admin Section

In order to perform allocation / de-allocation of Segments to Technicians users would need to be created in the Application. In order to facilitate the user management or any such Application administration, a pre-configured User has been created, which shall be provided to authorize license holders. Using the pre-configured User, the Application could be configured and new admin User IDs could be created for further delegation of Application administration.

User Management further requires appropriate roles to be configured within the Application. Further, based on the roles configured within the Application, authorizations can be configured for access to Application resources, the resource herein being the Application pages / modules.

Admin Section view


 Application Setting
Application Setting

The 'Application Setting' page appears in the Admin section of the escheduler Application.
This page assist the admin to configure the application settings that are categorized into four category.
This four categories are as below:
1. User Setting -
Here the admin user can map the "Extend" application user and company.
Incase if the user is associated with multiple companies, admin must input the company names
as comma separated with default company appearing at the beginning.
This section also provide facility to allow "Active directory" Integration with the application.
Using this integration users can use the same domain/network credentials to log into the
eScheduler application. Admin user needs to provide valid domain name for using this facility.

User Setting Screenshot

2. Email Setting -
The eScheduler users email as a method to notify users during events like user creation,
resetting user password, allocation/deallocation of work order to mechanic etc..
Sending email needs a valid SMTP server to be specified in this section. Admin must specify the
SMTP Server name with user credentials to send mails if required.*

Email Setting Screenshot

3. Scheduler Setting -
This section allow user to customize some of the features of the Scheduler.
This section allows admin to:
a. Select notification method when Work Order gets assigned to Mechanic. The notification
may can be via email, sms, 'email & sms both' or none.
b. Allow/Disallow validation of Mechanic skillset against skills specified in the Work Order.
c. Select a field to be displayed as Work Order title and tooltip. Admin can opt between
Customer name or combination of Service Order number and Segment Number.
d. Similarly admin can configure the tooltip text for the work order by choosing either
Customer name or combination of Service Order number and Segment Number.

Scheduler Setting Screenshot

4. Email Templates -
When a Work Order is assigned to a mechanic emails is sent to mechanic depending on the
configuration set in point 3(a). In case if the notification is by email then admin can edit the
allocation and deallocation email default template provided with the application.
User can customize the html as per his choice without modifying variables enclosed in '<%'
and '%>' tag.

Scheduler Setting Screenshot

* some SMTP Server need user credentials to allow sending mails through other applications. This user credential can be any email id of the same domain. User may opt to create a new Email Account for sending email through other application.


 Page Access Authentication
Page Access Authentication

The page appears in the Admin Section in the left menu as 'Authorization Rules Management'.
This page can be used to restrict users of particular role to access the pages in the application.

Admin can assign different authentication rules for each roles using this page.

Fig. 1


 Role Management
Related Topics
See also
User Management
eScheduler
Role Management

The eScheduler is a multi-user application with users of different type.
It can be used by a supervisor, individual Employee and a Admin to configure the application.
This situation is tackle by the application by introducing Role Management.
Here user are assigned to different roles and each role has different page access privileges.

eScheduler has basically there major Roles viz.
1. Admin-
Users under this role can access each and every page of the application.
Admin user can also scheduler work in addition to admin related work.

2. CanScheduler-
User under this role have right only to schedule the work order to the mechanics.
Users belonging to this role has no right to access the Admin pages until and unless explicitly specified by the admin.

3. CanView-
Users belonging to this role can only view the work order assignments. They can neither view the admin pages not they can assign work to employee.
This role basically targets the Employee users to whome work are assigned.

Admin has the facility to use extend this roles as per his choice.

Role Management Screenshot:

See also

User Management


 User Management
User Management

eScheduler is a application that can be used by more than one user at a time. This user can be of different Role with different privileges.
User management section helps the Admin to create Users for the application.
The number of users the admin can create for particular role depends on the Application License.

In case if the application is configured to use 'Active Directory Integration' the username must be the domain username to be specified.

User Management Screenshot

Last Updated: 07/10/2008 | © e-Emphasys, 2008


 User Profile Management
User Profile Management

The User Profile Section allow user to personalize few application settings for him.
This section allow user to set the UI Culture, application theme and the Paging size of Service order grid in the Scheduler.

User can also change password using the 'Change Password' option in the Admin left menu.

User Profile Screenshot

Change Password Screenshot


 How To..
How To..


 Assign Work Order across Service Center
Assign Work Order across Service Center

Work Order assignment across Service Center
The eScheduler application provided another userful feature of assigning Work to technicians from other Service Center.

This can be achieved in following way:
a. Select the 'Advance Search' Link
b. Click the Mechnic tab.
c. Enter the forename name/id if known
d. Select the Service Center
e. Select skills if required.

This will display the mechanics from different service center depending on the Filter provided.

Now the Work Order can be assgined to required technician from different Service Center.


 Find Suitable Mechanic
Find Suitable Mechanic

Suitable Mechanic
In case if user need to assign work only to those technicians those who possess skills that are required for the work, then clicking on the "Suitable Mechanic(s)" link will highlight the most suitable mechanic in the right pane with different color and these mechanics will appear at the top to make the work allocation task simple.


 Switch Company
Switch Company

Switch Company
Select "Switch Company" link in the Scheduler screen.
Select a "Company" from a list and press ok.

All the Work Order and Employee related to the default Service Center of selected Company will be displayed on the screen.


 Switch Service Center
Switch Service Center

Switch Service Center
Select "Switch Service Center" link in the Scheduler screen.
Select a "Service Center" from a list and press ok.

All the Work Order and Employee related to the selected Service Center will be displayed on the screen.


 About e-Emphasys
About e-Emphasys

For details please visit

http://e-emphasys.com/about_us/comp_profile.htm